/**
 * Copyright (c) 2005-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jbi.messaging.exchange.types;

import javax.jbi.messaging.InOut;
import javax.jbi.messaging.MessagingException;
import javax.jbi.messaging.NormalizedMessage;

import org.ow2.petals.jbi.messaging.exchange.MessageExchangeWrapper;
import org.ow2.petals.jbi.messaging.exchange.PetalsMessageExchange;

/**
 * @author Adrien LOUIS - EBM WebSourcing
 */
public class InOutImpl extends MessageExchangeWrapper implements InOut {

    private static final long serialVersionUID = 6449802679890047047L;

    public InOutImpl(final PetalsMessageExchange me) {
        super(me);
    }

    @Override
    public NormalizedMessage getInMessage() {
        return this.getMessage(PetalsMessageExchange.IN_MSG);
    }

    @Override
    public NormalizedMessage getOutMessage() {
        return this.getMessage(PetalsMessageExchange.OUT_MSG);
    }

    @Override
    public void setInMessage(NormalizedMessage msg) throws MessagingException {
        this.setMessage(msg, PetalsMessageExchange.IN_MSG);
    }

    @Override
    public void setOutMessage(NormalizedMessage msg) throws MessagingException {
        this.setMessage(msg, PetalsMessageExchange.OUT_MSG);
    }
}
